//No jets, no fall damage, lower jump, (slightly) more air control, quickly regenerates health after .75 sec of no damage

datablock PlayerData(PlayerPortal : PlayerStandardArmor)
{
	uiName = "Portal-Style Player";
	showEnergyBar = false;
	
	maxDamage = 100;
	
	canJet = 0;
	repairRate = (200/32);
	
	jumpforce = PlayerStandardArmor.jumpforce * 0.67;
	airControl = 0.2;
	upmaxspeed = 500;
	groundimpactminspeed = 0;
	groundimpactshakeamp = "0.1 0.1 0.1";
};

function PlayerPortal::damage(%this, %obj, %sourceObject, %position, %damage, %damageType)
{
   if(%damageType == $DamageType::Fall || %damageType == $DamageType::Impact)
      return;
   
   Parent::damage(%this, %obj, %sourceObject, %position, %damage, %damageType);
}

function PlayerPortal::onDamage(%this,%obj,%delta)
{
   Parent::onDamage(%this,%obj,%delta);
   if(%delta > 0)
   {
      if(isEventPending(%obj.portalRepairSched))
         cancel(%obj.portalRepairSched);
      
      %obj.setRepairRate(0);
      if(%obj.getState() !$= "Dead")
         %obj.portalRepairSched = %obj.schedule(750,doFlashRepair);
   }
}

function Player::doFlashRepair(%obj)
{
   //Repair at the same rate as the object's damage flash going away
   %obj.setRepairRate((%obj.getDamageLevel()*2)/(3*%obj.dataBlock.maxDamage*%obj.getDamageFlash()));
}